Bug 733054 - g-p-m does not correctly calculate battery time remaining
Summary: g-p-m does not correctly calculate battery time remaining
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-power-manager
Version: 15
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-24 15:22 UTC by Need Real Name
Modified: 2012-08-07 20:03 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 20:03:54 UTC


Attachments (Terms of Use)

Description Need Real Name 2011-08-24 15:22:22 UTC
g-p-m ignores the last full capacity when calculating battery life remaining:

$ cat /proc/acpi/battery/BAT*/info 
present:                 yes
design capacity:         2800 mAh
last full capacity:      1316 mAh

It seems design capacity is used instead of last full capacity.

Comment 1 Richard Hughes 2011-08-24 16:29:23 UTC
What's "upower --dump" say?

Comment 2 Need Real Name 2011-08-25 17:21:59 UTC
$ upower --dump
Device: /org/freedesktop/UPower/devices/line_power_AC
  native-path:          /sys/devices/LNXSYSTM:00/device:00/ACPI0003:00/power_supply/AC
  power supply:         yes
  updated:              Thu Aug 25 19:15:49 2011 (348 seconds ago)
  has history:          no
  has statistics:       no
  line-power
    online:             yes

Device: /org/freedesktop/UPower/devices/battery_BAT0
  native-path:          /sys/devices/LNXSYSTM:00/device:00/PNP0C0A:00/power_supply/BAT0
  vendor:               Hewlett-Packard
  model:                Primary
  serial:               59264 2009/09/10
  power supply:         yes
  updated:              Thu Aug 25 19:21:22 2011 (15 seconds ago)
  has history:          yes
  has statistics:       yes
  battery
    present:             yes
    rechargeable:        yes
    state:               charging
    energy:              17.4196 Wh
    energy-empty:        0 Wh
    energy-full:         18.5296 Wh
    energy-full-design:  41.44 Wh
    energy-rate:         3.7592 W
    voltage:             16.631 V
    time to full:        17.7 minutes
    percentage:          94.0096%
    capacity:            44.7143%
    technology:          lithium-ion
  History (charge):
    1314292791	94.010	charging
  History (rate):
    1314292791	3.759	charging

Daemon:
  daemon-version:  0.9.12
  can-suspend:     yes
  can-hibernate    yes
  on-battery:      no
  on-low-battery:  no
  lid-is-closed:   no
  lid-is-present:  yes
  is-docked:       no

Comment 3 Need Real Name 2011-09-27 08:33:25 UTC
This problem has caused me to lose my work several times. I still experience it regularly.

Comment 4 Richard Hughes 2011-11-15 13:14:23 UTC
Does this still happen in F16? Thanks.

Comment 5 Need Real Name 2011-11-15 15:43:29 UTC
The problem still exists in F16.

Comment 6 Fedora End Of Life 2012-08-07 20:03:56 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.